#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-pyRFC3339
Version		:	1.1
Release		:	14.4.0.0%{?dist}
Summary		:	Generate and parse RFC 3339 timestamps

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.python.org/pypi/pyRFC3339

Source0		:	%{sname}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{sname}-%{version}-use-pytest-in-tests.patch

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires	:	python3-pytz
%endif

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package contains a Python 3 library to parse and
generate RFC 3339-compliant timestamps using Python
datetime.datetime objects.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/%{lname}/*.py
%{python3_sitelib}/%{lname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
tar xvf %{SOURCE1}
%{__mv} %{name}-ok_addon/tests.py .
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
pytest -v tests.py
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
